Package org.apache.sysds.runtime.instructions.spark.data

# Class IndexedMatrixValue

java.lang.Object
org.apache.sysds.runtime.instructions.spark.data.IndexedMatrixValue

All Implemented Interfaces:
  `Serializable`, `SpillableObject`

public class IndexedMatrixValue extends Object implements SpillableObject, Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`IndexedMatrixValue()`
`IndexedMatrixValue(Class<? extends MatrixValue> cls)`
`IndexedMatrixValue(IndexedMatrixValue that)`
`IndexedMatrixValue(MatrixIndexes ind, MatrixValue b)`

## Method Summary

Modifier and Type
Method
Description
`void`
`discard()`
`MatrixIndexes`
`getIndexes()`
`MatrixValue`
`getValue()`
`void`
`read(DataInput dataInput)`
`void`
`set(MatrixIndexes indexes2, MatrixValue block2)`
`void`
`setValue(MatrixValue value)`
`String`
`toString()`
`boolean`
`tryWrite(DataOutput dataOutput)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### IndexedMatrixValue

public IndexedMatrixValue()

### IndexedMatrixValue

public IndexedMatrixValue(Class<? extends MatrixValue> cls)

### IndexedMatrixValue

public IndexedMatrixValue(MatrixIndexes ind, MatrixValue b)

### IndexedMatrixValue

public IndexedMatrixValue(IndexedMatrixValue that)

## Method Details

### getIndexes

public MatrixIndexes getIndexes()

### getValue

public MatrixValue getValue()

### setValue

public void setValue(MatrixValue value)

### set

public void set(MatrixIndexes indexes2, MatrixValue block2)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### tryWrite

public boolean tryWrite(DataOutput dataOutput) throws IOException

Specified by:
  `tryWrite` in interface `SpillableObject`
Throws:
  `IOException`

### discard

public void discard()

Specified by:
  `discard` in interface `SpillableObject`

### read

public void read(DataInput dataInput) throws IOException

Specified by:
  `read` in interface `SpillableObject`
Throws:
  `IOException`